Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 404263 - dev-lang/mono-2.10.5: remove MAKEOPTS=-j1 limitation
Summary: dev-lang/mono-2.10.5: remove MAKEOPTS=-j1 limitation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: dotnet (DISBANDED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-17 15:07 UTC by Alex Efros
Modified: 2013-05-24 19:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Efros 2012-02-17 15:07:06 UTC
I've just tried to emerge dev-lang/mono 2.10.5 several times on hardened amd64 using Core i7-2600K@4600MHz without MAKEOPTS=-j1 limitation in ebuild - it works ok with my default -j9 and build time lowered from 683 seconds to 295 seconds.

Looks like this hack with forced -j1 doesn't needed anymore.
Comment 1 Pacho Ramos gentoo-dev 2012-02-19 11:00:47 UTC
I think upstream still considers parallel build a bit risky :-/
Comment 2 Pacho Ramos gentoo-dev 2013-05-24 19:08:03 UTC
dropped in 3.0.7